package top.octopusyan.manager.http.listener;

import javafx.application.Platform;
import lombok.extern.slf4j.Slf4j;
import okhttp3.Call;
import top.octopusyan.utils.AlertUtil;

/**
 * @author : octopus yan
 * @email : octopus_yan@foxmail.com
 * @description : 网络请求监听
 * @create : 2022-4-1 15:17
 */
public interface OnHttpListener<T> {

    /**
     * 请求开始
     */
    default void onStart(Call call) {}

    /**
     * 请求成功
     */
    void onSucceed(T result);

    /**
     * 请求出错
     */
    default void onFail(Exception e) {
    }

    /**
     * 请求结束
     */
    default void onEnd(Call call) {}
}
